=head1 NAME

Net::Jabber::Loudmouth::SSL -  SSL handling for Net::Jabber::Loudmouth

=cut

=head1 HIERARCHY

  Glib::Boxed
  +----Net::Jabber::Loudmouth::SSL



=cut

=for object Net::Jabber::Loudmouth::SSL SSL handling for Net::Jabber::Loudmouth

=cut




=head1 METHODS

=head2 ssl = Net::Jabber::Loudmouth::SSL-E<gt>B<new> ($ssl_cb, $user_data=undef, $expected_fingerprint=undef)

=over

=item * $ssl_cb (scalar) 

=item * $user_data (scalar) 

=item * $expected_fingerprint (string) 

=back

=head2 string = $ssl-E<gt>B<get_fingerprint> 

=head2 boolean = Net::Jabber::Loudmouth::SSL-E<gt>B<is_supported> 



=cut


=head1 SEE ALSO

L<Net::Jabber::Loudmouth>, L<Glib::Boxed>


=cut


=head1 COPYRIGHT

Copyright (C) 2005 by Florian Ragwitz

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.7 or, at your option, any later version of Perl 5 you may have available.


=cut

